# Uses of Enum
com.fasterxml.jackson.annotation.Nulls

## Uses of Nulls in com.fasterxml.jackson.annotation

Methods in com.fasterxml.jackson.annotation that return Nulls
Modifier and Type
Method
Description
`Nulls`
JsonSetter.Value.`getContentNulls()`
`Nulls`
JsonSetter.Value.`getValueNulls()`
`Nulls`
JsonSetter.Value.`nonDefaultContentNulls()`
Returns same as `JsonSetter.Value.getContentNulls()` unless value would be `DEFAULT` in which case `null` is returned.
`Nulls`
JsonSetter.Value.`nonDefaultValueNulls()`
Returns same as `JsonSetter.Value.getValueNulls()` unless value would be `DEFAULT` in which case `null` is returned.
`static Nulls`
Nulls.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Nulls[]`
Nulls.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.annotation with parameters of type Nulls
Modifier and Type
Method
Description
`static JsonSetter.Value`
JsonSetter.Value.`construct(Nulls nulls, Nulls contentNulls)`
Factory method that may be used (although is NOT the recommended way) to construct an instance from a full set of properties.
`static JsonSetter.Value`
JsonSetter.Value.`forContentNulls(Nulls nulls)`
`static JsonSetter.Value`
JsonSetter.Value.`forValueNulls(Nulls nulls)`
`static JsonSetter.Value`
JsonSetter.Value.`forValueNulls(Nulls nulls, Nulls contentNulls)`
`JsonSetter.Value`
JsonSetter.Value.`withContentNulls(Nulls nulls)`
`JsonSetter.Value`
JsonSetter.Value.`withValueNulls(Nulls nulls)`
`JsonSetter.Value`
JsonSetter.Value.`withValueNulls(Nulls valueNulls, Nulls contentNulls)`
Constructors in com.fasterxml.jackson.annotation with parameters of type Nulls
Modifier
Constructor
Description
`protected`
`Value(Nulls nulls, Nulls contentNulls)`